Index: branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 618)
@@ -77,5 +77,7 @@
   Int m_interLayerPredLayerIdc [MAX_NUM_REF_PICS];
   Int m_interViewRefPosL[2][MAX_NUM_REF_PICS];  
+#if !H_MV5
   Int m_collocatedRefLayerIdx; 
+#endif
 #endif
   GOPEntry()
@@ -95,5 +97,7 @@
 #if H_MV
   , m_numActiveRefLayerPics(0)
+#if !H_MV5
   , m_collocatedRefLayerIdx(-1)
+#endif
 #endif
   {
@@ -357,8 +361,13 @@
   Int       m_layerIdInVps;
   Int       m_viewId;
+#if H_MV5
+  Int       m_viewIndex; 
+#endif
 #endif 
 
 #if H_3D
+#if !H_MV5
   Int       m_viewIndex; 
+#endif
   Bool      m_isDepth;
 
@@ -417,6 +426,11 @@
   , m_layerIdInVps(-1)
   , m_viewId(-1)
+#if H_MV5
+  , m_viewIndex(-1)
+#endif
 #if H_3D
+#if !H_MV5
   , m_viewIndex(-1)
+#endif
   , m_isDepth(false)
   , m_bUseVSO(false)
@@ -451,7 +465,13 @@
   Void      setViewId                        ( Int viewId  )      { m_viewId  = viewId;  }
   Int       getViewId                        ()                   { return m_viewId;    }
-#if H_3D
+#if H_MV5
   Void      setViewIndex                     ( Int viewIndex  )   { m_viewIndex  = viewIndex;  }
   Int       getViewIndex                     ()                   { return m_viewIndex;    }
+#endif
+#if H_3D
+#if !H_MV5
+  Void      setViewIndex                     ( Int viewIndex  )   { m_viewIndex  = viewIndex;  }
+  Int       getViewIndex                     ()                   { return m_viewIndex;    }
+#endif
   Void      setIsDepth                       ( Bool isDepth )   { m_isDepth = isDepth; }
   Bool      getIsDepth                       ()                 { return m_isDepth; }
Index: branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 618)
@@ -471,13 +471,26 @@
     pcPic->setCurrSliceIdx(0);
 
+
+#if H_MV5
+#if H_MV
+    m_pcSliceEncoder->initEncSlice ( pcPic, iPOCLast, pocCurr, iNumPicRcvd, iGOPid, pcSlice, m_pcEncTop->getVPS(), m_pcEncTop->getSPS(), m_pcEncTop->getPPS(), getLayerId() );     
+#else
+    m_pcSliceEncoder->initEncSlice ( pcPic, iPOCLast, pocCurr, iNumPicRcvd, iGOPid, pcSlice, m_pcEncTop->getSPS(), m_pcEncTop->getPPS() );
+#endif
+#else
 #if H_3D
     m_pcSliceEncoder->initEncSlice ( pcPic, iPOCLast, pocCurr, iNumPicRcvd, iGOPid, pcSlice, m_pcEncTop->getVPS(), m_pcEncTop->getSPS(), m_pcEncTop->getPPS(), getLayerId() );     
 #else
     m_pcSliceEncoder->initEncSlice ( pcPic, iPOCLast, pocCurr, iNumPicRcvd, iGOPid, pcSlice, m_pcEncTop->getSPS(), m_pcEncTop->getPPS() );
+#endif
 #endif
     pcSlice->setLastIDR(m_iLastIDR);
     pcSlice->setSliceIdx(0);
 #if H_MV
+#if H_MV5
+    pcSlice->setRefPicSetInterLayer ( &m_refPicSetInterLayer0, &m_refPicSetInterLayer1 ); 
+#else
     pcSlice->setRefPicSetInterLayer ( &m_refPicSetInterLayer ); 
+#endif
     pcPic  ->setLayerId     ( getLayerId()   );
     pcPic  ->setViewId      ( getViewId()    );    
@@ -642,4 +655,48 @@
     refPicListModification->setRefPicListModificationFlagL1(0);
 #if H_MV
+#if H_MV5
+    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > 1 )
+    {
+      // Some more sophisticated algorithm to determine discardable_flag might be added here. 
+      pcSlice->setDiscardableFlag           ( false );     
+    }    
+
+    TComVPS*           vps = pcSlice->getVPS();     
+    Int numDirectRefLayers = vps    ->getNumDirectRefLayers( getLayerId() ); 
+    GOPEntry gopEntry      = m_pcCfg->getGOPEntry( (pcSlice->getRapPicFlag() && getLayerId() > 0) ? MAX_GOP : iGOPid );     
+    
+    if ( getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && numDirectRefLayers > 0 )
+    {         
+      pcSlice->setInterLayerPredEnabledFlag ( gopEntry.m_numActiveRefLayerPics > 0 );     
+      if ( pcSlice->getInterLayerPredEnabledFlag() && numDirectRefLayers > 1 )
+      {
+        if ( !vps->getMaxOneActiveRefLayerFlag() )
+        {    
+          pcSlice->setNumInterLayerRefPicsMinus1( gopEntry.m_numActiveRefLayerPics - 1 ); 
+        }
+        if ( gopEntry.m_numActiveRefLayerPics != vps->getNumDirectRefLayers( getLayerId() ) )
+        {        
+          for (Int i = 0; i < gopEntry.m_numActiveRefLayerPics; i++ )
+          {
+            pcSlice->setInterLayerPredLayerIdc( i, gopEntry.m_interLayerPredLayerIdc[ i ] ); 
+          }
+        }
+      }
+    }
+    assert( pcSlice->getNumActiveRefLayerPics() == gopEntry.m_numActiveRefLayerPics ); 
+    
+    pcSlice->createInterLayerReferencePictureSet( m_ivPicLists, m_refPicSetInterLayer0, m_refPicSetInterLayer1 ); 
+    pcSlice->setNumRefIdx(REF_PIC_LIST_0,min(gopEntry.m_numRefPicsActive,( pcSlice->getRPS()->getNumberOfPictures() + (Int) m_refPicSetInterLayer0.size() + (Int) m_refPicSetInterLayer1.size()) ) );
+    pcSlice->setNumRefIdx(REF_PIC_LIST_1,min(gopEntry.m_numRefPicsActive,( pcSlice->getRPS()->getNumberOfPictures() + (Int) m_refPicSetInterLayer0.size() + (Int) m_refPicSetInterLayer1.size()) ) );
+
+    std::vector< TComPic* >    tempRefPicLists[2];
+    std::vector< Bool     >    usedAsLongTerm [2];
+    Int       numPocTotalCurr;
+
+    pcSlice->getTempRefPicLists( rcListPic, m_refPicSetInterLayer0, m_refPicSetInterLayer1, tempRefPicLists, usedAsLongTerm, numPocTotalCurr, true );
+    
+
+    xSetRefPicListModificationsMv( tempRefPicLists, pcSlice, iGOPid );    
+#else
     if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > 0 )
     {
@@ -692,4 +749,5 @@
     }
 
+#endif
 #else
     pcSlice->setNumRefIdx(REF_PIC_LIST_0,min(m_pcCfg->getGOPEntry(iGOPid).m_numRefPicsActive,pcSlice->getRPS()->getNumberOfPictures()));
@@ -702,4 +760,28 @@
 
     //  Set reference list
+#if H_MV5
+#if H_MV    
+    pcSlice->setRefPicList( tempRefPicLists, usedAsLongTerm, numPocTotalCurr ); 
+#else
+    pcSlice->setRefPicList ( rcListPic );
+#endif
+  
+#if H_3D_ARP
+    //GT: This seems to be broken when layerId in vps is not equal to layerId in nuh
+    pcSlice->setARPStepNum();
+    if(pcSlice->getARPStepNum() > 1)
+    {
+      for(Int iLayerId = 0; iLayerId < getLayerId(); iLayerId ++ )
+      {
+        Int  iViewIdx =   pcSlice->getVPS()->getViewIndex(iLayerId);
+        Bool bIsDepth = ( pcSlice->getVPS()->getDepthId  ( iLayerId ) == 1 );
+        if( iViewIdx<getViewIndex() && !bIsDepth )
+        {
+          pcSlice->setBaseViewRefPicList( m_ivPicLists->getPicList( iLayerId ), iViewIdx );
+        }
+      }
+    }
+#endif
+#else
 #if H_MV    
     pcSlice->setRefPicList( rcListPic, m_refPicSetInterLayer );
@@ -722,5 +804,5 @@
     pcSlice->setRefPicList ( rcListPic );
 #endif
-
+#endif
 #if H_3D
     pcSlice->setIvPicLists( m_ivPicLists );         
@@ -2084,5 +2166,9 @@
       pcPic->setReconMark   ( true );
 #if H_MV
+#if H_MV5
+      TComSlice::markIvRefPicsAsShortTerm( m_refPicSetInterLayer0, m_refPicSetInterLayer1 );  
+#else
       TComSlice::markIvRefPicsAsShortTerm( m_refPicSetInterLayer );  
+#endif
       std::vector<Int> temp; 
       TComSlice::markCurrPic( pcPic ); 
@@ -2916,4 +3002,89 @@
 
 #if H_MV
+#if H_MV5
+Void TEncGOP::xSetRefPicListModificationsMv( std::vector<TComPic*> tempPicLists[2], TComSlice* pcSlice, UInt iGOPid )
+{ 
+  
+  if( pcSlice->getSliceType() == I_SLICE || !(pcSlice->getPPS()->getListsModificationPresentFlag()) || pcSlice->getNumActiveRefLayerPics() == 0 )
+  {
+    return;
+  }
+  
+  GOPEntry ge = m_pcCfg->getGOPEntry( (pcSlice->getRapPicFlag() && ( pcSlice->getLayerId( ) > 0) ) ? MAX_GOP : iGOPid );
+  assert( ge.m_numActiveRefLayerPics == pcSlice->getNumActiveRefLayerPics() ); 
+
+  Int numPicsInTempList     = pcSlice->getNumRpsCurrTempList();  
+
+  // GT: check if SliceType should be checked here. 
+  for (Int li = 0; li < 2; li ++) // Loop over lists L0 and L1
+  {
+    Int numPicsInFinalRefList = pcSlice->getNumRefIdx( ( li == 0 ) ? REF_PIC_LIST_0 : REF_PIC_LIST_1 ); 
+            
+    Int finalIdxToTempIdxMap[16];
+    for( Int k = 0; k < 16; k++ )
+    {
+      finalIdxToTempIdxMap[ k ] = -1;
+    }
+
+    Bool isModified = false;
+    if ( numPicsInTempList > 1 )
+    {
+      for( Int k = 0; k < pcSlice->getNumActiveRefLayerPics(); k++ )
+      {
+        // get position in temp. list
+        Int refPicLayerId = pcSlice->getRefPicLayerId(k);
+        Int idxInTempList = 0; 
+        for (; idxInTempList < numPicsInTempList; idxInTempList++)
+        {
+          if ( (tempPicLists[li][idxInTempList])->getLayerId() == refPicLayerId )
+          {
+            break; 
+          }
+        }
+
+        Int idxInFinalList = ge.m_interViewRefPosL[ li ][ k ];
+        
+        // Add negative from behind 
+        idxInFinalList = ( idxInFinalList < 0 )? ( numPicsInTempList + idxInFinalList ) : idxInFinalList; 
+        
+        Bool curIsModified = ( idxInFinalList != idxInTempList ) && ( ( idxInTempList < numPicsInFinalRefList ) || ( idxInFinalList < numPicsInFinalRefList ) ) ;
+        if ( curIsModified )
+        {
+          isModified = true; 
+          assert( finalIdxToTempIdxMap[ idxInFinalList ] == -1 ); // Assert when two inter layer reference pictures are sorted to the same position
+        }
+        finalIdxToTempIdxMap[ idxInFinalList ] = idxInTempList;              
+      }
+    }
+
+    TComRefPicListModification* refPicListModification = pcSlice->getRefPicListModification();
+    refPicListModification->setRefPicListModificationFlagL( li, isModified );  
+
+    if( isModified )
+    {
+      Int refIdx = 0;
+      
+      for( Int i = 0; i < numPicsInFinalRefList; i++ )
+      {
+        if( finalIdxToTempIdxMap[i] >= 0 ) 
+        {
+          refPicListModification->setRefPicSetIdxL( li, i, finalIdxToTempIdxMap[i] );
+        }
+        else
+        {
+          ///* Fill gaps with temporal references *///
+          // Forward inter layer reference pictures
+          while( ( refIdx < numPicsInTempList ) && ( tempPicLists[li][refIdx]->getLayerId() != getLayerId())  )
+          {
+            refIdx++; 
+          }
+          refPicListModification->setRefPicSetIdxL( li, i, refIdx );
+          refIdx++;
+        }
+      }
+    }
+  }
+}
+#else
 Void TEncGOP::xSetRefPicListModificationsMv( TComSlice* pcSlice, UInt iGOPid )
 { 
@@ -2979,3 +3150,4 @@
 }
 #endif
+#endif
 //! \}
Index: branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncGOP.h
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncGOP.h	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncGOP.h	(revision 618)
@@ -99,5 +99,10 @@
 #if H_MV
   TComPicLists*           m_ivPicLists;
+#if H_MV5
+  std::vector<TComPic*>   m_refPicSetInterLayer0; 
+  std::vector<TComPic*>   m_refPicSetInterLayer1; 
+#else
   std::vector<TComPic*>   m_refPicSetInterLayer; 
+#endif
 
   Int                     m_pocLastCoded;
@@ -211,5 +216,9 @@
   }
 #if H_MV
+#if H_MV5
+   Void  xSetRefPicListModificationsMv( std::vector<TComPic*> tempPicLists[2], TComSlice* pcSlice, UInt iGOPid );
+#else
    Void  xSetRefPicListModificationsMv( TComSlice* pcSlice, UInt iGOPid );
+#endif
 #endif
   Void dblMetric( TComPic* pcPic, UInt uiNumSlices );
Index: branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 618)
@@ -649,4 +649,7 @@
   // residual flag
   m_pcBinIf->encodeBin( uiResidual, m_cSDCResidualFlagSCModel.get( 0, 0, 0 ) );
+#if H_MV_ENC_DEC_TRAC
+  DTRACE_CU("sdc_residual_flag[i]", uiResidual)
+#endif  
   
   if (uiResidual)
@@ -654,4 +657,7 @@
     // encode sign bit of residual
     m_pcBinIf->encodeBinEP( uiSign );
+#if H_MV_ENC_DEC_TRAC
+    DTRACE_CU("sdc_residual_sign_flag[i]", uiSign)
+#endif
     
 #if H_3D_DIM_DLT
@@ -664,7 +670,14 @@
     // encode residual magnitude
     uiAbsIdx -= 1;
+
+#if H_MV_ENC_DEC_TRAC
+    DTRACE_CU("sdc_residual_abs_minus1[i]", uiAbsIdx)
+#endif
+
     // prefix part
     if ( uiAbsIdx == 0 )
+    {
       m_pcBinIf->encodeBin( 0, m_cSDCResidualSCModel.get(0, 0, 0) );
+    }
     else
     {
@@ -679,8 +692,9 @@
       }
       if ( uiAbsIdx < uiPrefixThreshold )
+      {
         m_pcBinIf->encodeBin( 0, m_cSDCResidualSCModel.get(0, 0, 0) );
-      // suffix part
+      }      
       else
-      {
+      { // suffix part
         uiAbsIdx -= uiPrefixThreshold;
         UInt uiSuffixLength = numBitsForValue(uiNumDepthValues - uiPrefixThreshold);
Index: branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 618)
@@ -176,8 +176,16 @@
  \param pPPS          PPS associated with the slice
  */
+#if H_MV5
+#if H_MV
+Void TEncSlice::initEncSlice( TComPic* pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd, Int iGOPid, TComSlice*& rpcSlice, TComVPS* pVPS, TComSPS* pSPS, TComPPS *pPPS, Int layerId )
+#else
+Void TEncSlice::initEncSlice( TComPic* pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd, Int iGOPid, TComSlice*& rpcSlice, TComSPS* pSPS, TComPPS *pPPS )
+#endif
+#else
 #if H_3D
 Void TEncSlice::initEncSlice( TComPic* pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd, Int iGOPid, TComSlice*& rpcSlice, TComVPS* pVPS, TComSPS* pSPS, TComPPS *pPPS, Int layerId )
 #else
 Void TEncSlice::initEncSlice( TComPic* pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd, Int iGOPid, TComSlice*& rpcSlice, TComSPS* pSPS, TComPPS *pPPS )
+#endif
 #endif
 {
@@ -186,4 +194,15 @@
   
   rpcSlice = pcPic->getSlice(0);
+
+#if H_MV5
+  rpcSlice->setVPS( pVPS ); 
+
+  rpcSlice->setLayerId     ( layerId );
+  rpcSlice->setViewId      ( pVPS->getViewId      ( layerId ) );    
+  rpcSlice->setViewIndex   ( pVPS->getViewIndex   ( layerId ) );
+#if H_3D
+  rpcSlice->setIsDepth     ( pVPS->getDepthId     ( layerId ) != 0 );    
+#endif
+#else
 #if H_3D
   // GT: Should also be activated for MV-HEVC at some stage
@@ -195,4 +214,5 @@
   rpcSlice->setViewIndex   ( pVPS->getViewIndex   ( vpsLayerId ) );
   rpcSlice->setIsDepth     ( pVPS->getDepthId     ( vpsLayerId ) != 0 );    
+#endif
 #endif
   rpcSlice->setSPS( pSPS );
Index: branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSlice.h
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSlice.h	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncSlice.h	(revision 618)
@@ -116,4 +116,13 @@
   
   /// preparation of slice encoding (reference marking, QP and lambda)
+#if H_MV5
+#if H_MV
+  Void    initEncSlice        ( TComPic* pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd, 
+                                Int iGOPid, TComSlice*& rpcSlice, TComVPS* pVPS, TComSPS* pSPS, TComPPS *pPPS, Int layerId ); 
+#else
+  Void    initEncSlice        ( TComPic*  pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd,
+                                Int iGOPid,   TComSlice*& rpcSlice, TComSPS* pSPS, TComPPS *pPPS );
+#endif
+#else
 #if H_3D
   Void    initEncSlice        ( TComPic* pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd, 
@@ -122,4 +131,5 @@
   Void    initEncSlice        ( TComPic*  pcPic, Int pocLast, Int pocCurr, Int iNumPicRcvd,
                                 Int iGOPid,   TComSlice*& rpcSlice, TComSPS* pSPS, TComPPS *pPPS );
+#endif
 #endif
 #if RATE_CONTROL_LAMBDA_DOMAIN
Index: branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 618)
@@ -548,4 +548,11 @@
    * that chooses the actual compatibility based upon options */
 
+#if H_MV5
+#if H_MV  
+  m_cSPS.setUpdateRepFormatFlag           ( m_layerId == 0 );    
+  m_cSPS.setSpsInferScalingListFlag       ( m_layerId > 0 && m_cVPS->getInDirectDependencyFlag( getLayerIdInVps(), 0 ) ); 
+  m_cSPS.setSpsScalingListRefLayerId      ( 0              ); 
+#endif
+#endif
   m_cSPS.setPicWidthInLumaSamples         ( m_iSourceWidth      );
   m_cSPS.setPicHeightInLumaSamples        ( m_iSourceHeight     );
@@ -670,5 +677,10 @@
 {
 #if H_MV
+#if H_MV5
+  m_cPPS.setLayerId( getLayerId() );
+  if( getVPS()->getNumDirectRefLayers( getLayerId() ) > 0 )
+#else
   if( getVPS()->getNumDirectRefLayers( getLayerIdInVps() ) > 0 )
+#endif
   {
     m_cPPS.setListsModificationPresentFlag( true );
@@ -736,5 +748,9 @@
   m_cPPS.setOutputFlagPresentFlag( false );
 #if H_MV
+#if H_MV5
+  m_cPPS.setNumExtraSliceHeaderBits( 2 ); 
+#else
   m_cPPS.setNumExtraSliceHeaderBits( 1 ); 
+#endif
 #endif
   m_cPPS.setSignHideFlag(getSignHideFlag());
Index: branches/HTM-8.0-dev0/source/Lib/TLibExtractor/TExtrTop.cpp
===================================================================
--- branches/HTM-8.0-dev0/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 617)
+++ branches/HTM-8.0-dev0/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 618)
@@ -100,4 +100,19 @@
 Void TExtrTop::dumpVpsInfo( std::ostream& rcVpsInfoHandle )
 { 
+#if H_MV5
+  rcVpsInfoHandle << "MaxLayers      = " << m_cVPS.getMaxLayersMinus1() + 1 << std::endl; 
+  rcVpsInfoHandle << "MaxNuhLayerId  = " << m_cVPS.getVpsMaxLayerId() << std::endl;                      
+
+  for ( Int layerIdxInVps = 0; layerIdxInVps <= m_cVPS.getMaxLayersMinus1(); layerIdxInVps++ )
+  {  
+    Int layerId = m_cVPS.getLayerIdInNuh( layerIdxInVps ); 
+    rcVpsInfoHandle << "LayerIdxInVps  = " << layerIdxInVps                       << std::endl; 
+    rcVpsInfoHandle << "LayerIdInNuh   = " << layerId                             << std::endl; 
+    rcVpsInfoHandle << "ViewOrderIndex = " << m_cVPS.getViewIndex     ( layerId ) << std::endl;     
+#if H_3D    
+    rcVpsInfoHandle << "DepthFlag      = " << m_cVPS.getDepthId       ( layerId ) << std::endl;     
+#endif
+    rcVpsInfoHandle << "ViewId         = " << m_cVPS.getViewId        ( layerId ) << std::endl;     
+#else
   rcVpsInfoHandle << "MaxLayers = "     << m_cVPS.getMaxLayers()     << std::endl; 
   rcVpsInfoHandle << "MaxNuhLayerId = " << m_cVPS.getVpsMaxLayerId() << std::endl; 
@@ -112,4 +127,5 @@
     rcVpsInfoHandle << "DepthFlag = "      << m_cVPS.getDepthId     ( layerIdxInVps ) << std::endl;     
 #endif
+#endif
   }
 }
